"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Apps = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.Apps = connections_1.sequelize.define('Apps', {
    id: {
        type: sequelize_1.DataTypes.INTEGER({ length: 10 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    name: sequelize_1.DataTypes.STRING,
    uid: sequelize_1.DataTypes.BIGINT({ length: 20 }),
    os: sequelize_1.DataTypes.INTEGER({ length: 3 }),
    platform: sequelize_1.DataTypes.INTEGER({ length: 3 }),
    is_use_diff_text: sequelize_1.DataTypes.INTEGER({ length: 3 }),
    created_at: sequelize_1.DataTypes.DATE,
    updated_at: sequelize_1.DataTypes.DATE,
}, {
    tableName: 'apps',
    underscored: true,
    paranoid: true,
});
