"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeploymentsHistory = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.DeploymentsHistory = connections_1.sequelize.define('DeploymentsHistory', {
    id: {
        type: sequelize_1.DataTypes.INTEGER({ length: 10 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    deployment_id: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    package_id: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    created_at: sequelize_1.DataTypes.DATE,
}, {
    tableName: 'deployments_history',
    underscored: true,
    updatedAt: false,
    paranoid: true,
});
