"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackagesMetrics = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.PackagesMetrics = connections_1.sequelize.define('PackagesMetrics', {
    id: {
        type: sequelize_1.DataTypes.INTEGER({ length: 10 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    package_id: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    active: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    downloaded: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    failed: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    installed: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    created_at: sequelize_1.DataTypes.DATE,
    updated_at: sequelize_1.DataTypes.DATE,
}, {
    tableName: 'packages_metrics',
    underscored: true,
    paranoid: true,
});
