"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserTokens = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.UserTokens = connections_1.sequelize.define('UserTokens', {
    id: {
        type: sequelize_1.DataTypes.BIGINT({ length: 20 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    uid: sequelize_1.DataTypes.BIGINT({ length: 20 }),
    name: sequelize_1.DataTypes.STRING,
    tokens: sequelize_1.DataTypes.STRING,
    description: sequelize_1.DataTypes.STRING,
    is_session: sequelize_1.DataTypes.INTEGER({ length: 3 }),
    created_by: sequelize_1.DataTypes.STRING,
    created_at: sequelize_1.DataTypes.DATE,
    expires_at: sequelize_1.DataTypes.DATE,
}, {
    updatedAt: false,
    tableName: 'user_tokens',
    underscored: true,
    paranoid: true,
});
