"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogReportDeploy = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.LogReportDeploy = connections_1.sequelize.define('LogReportDeploy', {
    id: {
        type: sequelize_1.DataTypes.BIGINT({ length: 20 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    status: sequelize_1.DataTypes.INTEGER({ length: 3 }),
    package_id: sequelize_1.DataTypes.INTEGER({ length: 10 }),
    client_unique_id: sequelize_1.DataTypes.STRING,
    previous_label: sequelize_1.DataTypes.STRING,
    previous_deployment_key: sequelize_1.DataTypes.STRING,
    created_at: sequelize_1.DataTypes.DATE,
}, {
    tableName: 'log_report_deploy',
    underscored: true,
    updatedAt: false,
    paranoid: true,
});
