"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Users = void 0;
const sequelize_1 = require("sequelize");
const connections_1 = require("../core/utils/connections");
exports.Users = connections_1.sequelize.define('Users', {
    id: {
        type: sequelize_1.DataTypes.BIGINT({ length: 20 }),
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    username: sequelize_1.DataTypes.STRING,
    password: sequelize_1.DataTypes.STRING,
    email: sequelize_1.DataTypes.STRING,
    identical: sequelize_1.DataTypes.STRING,
    ack_code: sequelize_1.DataTypes.STRING,
    created_at: sequelize_1.DataTypes.DATE,
    updated_at: sequelize_1.DataTypes.DATE,
}, {
    tableName: 'users',
    underscored: true,
});
